DistributionSPL (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.search.similarities, class: DistributionSPL

Package org.apache.lucene.search.similarities

# Class DistributionSPL

java.lang.Object
org.apache.lucene.search.similarities.Distribution
org.apache.lucene.search.similarities.DistributionSPL

public class DistributionSPL extends Distribution
The smoothed power-law (SPL) distribution for the information-based framework that is described in the original paper.

Unlike for DFR, the natural logarithm is used, as it is faster to compute and the original paper does not express any preference to a specific base. WARNING: this model currently returns infinite scores for very small tf values and negative scores for very large tf values

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DistributionSPL()`
  Sole constructor: parameter-free

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final double`
  `score(BasicStats stats, double tfn, double lambda)`
  Computes the score.
  `String`
  `toString()`
  Subclasses must override this method to return the name of the distribution.

  ### Methods inherited from class org.apache.lucene.search.similarities.Distribution

  `explain`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DistributionSPL

    public DistributionSPL()
    Sole constructor: parameter-free

- ## Method Details

  - ### score

    public final double score(BasicStats stats, double tfn, double lambda)
    Description copied from class: `Distribution`
    Computes the score.
    Specified by:
      `score` in class `Distribution`

  - ### toString

    public String toString()
    Description copied from class: `Distribution`
    Subclasses must override this method to return the name of the distribution.
    Specified by:
      `toString` in class `Distribution`